net.sf.jasperreports.repo

## Class JasperDesignCache

- java.lang.Object
- - net.sf.jasperreports.repo.JasperDesignCache

-     public class JasperDesignCache
      extends java.lang.Object

  Version:
    $Id: JasperDesignCache.java 5879 2013-01-07 20:35:36Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `java.util.Map<java.lang.String,JasperDesignReportResource>` | `getCachedResources()`
    `static JasperDesignCache` | `getExistingInstance(ReportContext reportContext)`
    `static JasperDesignCache` | `getInstance(JasperReportsContext jasperReportsContext, ReportContext reportContext)`
    `JasperDesign` | `getJasperDesign(java.lang.String uri)`
    `JasperReport` | `getJasperReport(java.lang.String uri)`
    `JasperDesignReportResource` | `remove(java.lang.String uri)`
    `void` | `resetJasperReport(java.lang.String uri)`
    `void` | `set(java.lang.String uri, JasperDesign jasperDesign)`
    `void` | `set(java.lang.String uri, JasperDesignReportResource resource)`
    `void` | `set(java.lang.String uri, JasperReport jasperReport)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static JasperDesignCache getInstance(JasperReportsContext jasperReportsContext,
                                      ReportContext reportContext)

    - #### getExistingInstance

          public static JasperDesignCache getExistingInstance(ReportContext reportContext)

    - #### getJasperReport

          public JasperReport getJasperReport(java.lang.String uri)

    - #### getJasperDesign

          public JasperDesign getJasperDesign(java.lang.String uri)

    - #### set

          public void set(java.lang.String uri,
                 JasperReport jasperReport)

    - #### set

          public void set(java.lang.String uri,
                 JasperDesign jasperDesign)

    - #### resetJasperReport

          public void resetJasperReport(java.lang.String uri)

    - #### remove

          public JasperDesignReportResource remove(java.lang.String uri)

    - #### set

          public void set(java.lang.String uri,
                 JasperDesignReportResource resource)

    - #### clear

          public void clear()

    - #### getCachedResources

          public java.util.Map<java.lang.String,JasperDesignReportResource> getCachedResources()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com